Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface PageRenderLinkSource

All Known Implementing Classes:
  PageRenderLinkSourceImpl

    public interface PageRenderLinkSource

A service that allows other services to create page render links (which are otherwise created by components, via `ComponentResourcesCommon.createPageLink(String, boolean, Object[])`).

Since:
  5.1.0.2

Method Summary
`Link` | `createPageRenderLink(java.lang.Class pageClass)` Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).
`Link` | `createPageRenderLink(java.lang.String pageName)` Creates a page render link using the page's normal passivation context (if it has one).
`Link` | `createPageRenderLinkWithContext(java.lang.Class pageClass, EventContext eventContext)` Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context
`Link` | `createPageRenderLinkWithContext(java.lang.Class pageClass, java.lang.Object... context)` Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).
`Link` | `createPageRenderLinkWithContext(java.lang.String pageName, EventContext eventContext)` Creates a page render link using an override of the page's passivation context.
`Link` | `createPageRenderLinkWithContext(java.lang.String pageName, java.lang.Object... context)` Creates a page render link using an override of the page's passivation context (possibly an empty one).

Method Detail

### createPageRenderLink

    Link createPageRenderLink(java.lang.String pageName)

  Creates a page render link using the page's normal passivation context (if it has one).

  Parameters:
    `pageName` - name of page to create link to
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(java.lang.String pageName,
                                         java.lang.Object... context)

  Creates a page render link using an override of the page's passivation context (possibly an empty one).

  Parameters:
    `pageName` - name of page to create link to
    `context` - zero or more values to encode as the passiviation context
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(java.lang.String pageName,
                                         EventContext eventContext)

  Creates a page render link using an override of the page's passivation context.

  Parameters:
    `pageName` - name of page to create link to
    `eventContext` - the EventContext to encode as the passiviation context
  Returns:
    render link for the page
  Since:
    5.2.0.0

### createPageRenderLink

    Link createPageRenderLink(java.lang.Class pageClass)

  Creates a page render link using the page's class to identify the target page, and using the pages normal passivation context (if it has one).

  Parameters:
    `pageClass` -
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(java.lang.Class pageClass,
                                         java.lang.Object... context)

  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context (possibly an empty one).

  Parameters:
    `pageClass` -
    `context` - zero or more values to encode as the passiviation context
  Returns:
    render link for the page

### createPageRenderLinkWithContext

    Link createPageRenderLinkWithContext(java.lang.Class pageClass,
                                         EventContext eventContext)

  Creates a page render link using the page's class to identify the target page, and using an override of the page's passivation context

  Parameters:
    `pageClass` -
    `eventContext` - the EventContext to encode as the passiviation context
  Returns:
    render link for the page
  Since:
    5.2.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.